// PowerLab-TR - Copyright 2011
// http://www.powerlab-tr.com
// ierturk@powerlab-tr.com

//----------------------------------------------------------------------------
// Updated to Scilab 6.1.0
// Prof. Jose Paulo V. S. Cunha
// State University of Rio de Janeiro - Brazil
// August 26, 2020
//----------------------------------------------------------------------------

mode(-1);
lines(0);

function main_builder()

  TOOLBOX_NAME  = "XCPL";
  TOOLBOX_TITLE = "XCPL toolbox";
  toolbox_dir   = get_absolute_file_path("builder.sce");

// Check Scilab's version
// =============================================================================

  // check minimal version (xcosPal required)
  if ~isdef('xcosPal') then
    // and xcos features required
    error(gettext('Scilab 5.3.2 or more is required.'));
  end


// Check modules_manager module availability
// =============================================================================

  if ~isdef('tbx_build_loader') then
    error(msprintf(gettext('%s module not installed.'), 'modules_manager'));
  end

// Action
// =============================================================================

  tbx_builder_macros(toolbox_dir);
  tbx_builder_src(toolbox_dir);
  //tbx_builder_gateway(toolbox_dir);
  tbx_builder_help(toolbox_dir);
  //tbx_build_loader(TOOLBOX_NAME, toolbox_dir);  Obsolete.
  //tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir); Obsolete.
  tbx_build_loader(toolbox_dir);   // New syntax.
  tbx_build_cleaner(toolbox_dir);  // New syntax.
endfunction

main_builder();
clear main_builder; // remove main_builder on stack
